import { AggregateEventStore } from './AggregateEventStore';
export declare const mySQLDateTimeFormat = "YYYY-MM-DD HH:mm:ss";
export declare const mySQLDateFormat = "YYYY-MM-DD";
export declare abstract class AbstractMysqlAggregateEventStore extends AggregateEventStore {
    private mysqlClient;
    getEventsOf(aggregateId: string): Promise<any[]>;
    commitEvent(aggregateEvent: any): Promise<void>;
    commitAllEvents(aggregateEvents: any[]): Promise<void>;
    protected abstract aggregateEventToData(aggregateEvent: any): Array<any>;
    protected abstract dataToAggregateEvent(eventData: string): Array<any>;
    protected isLockViolation(e: Error): boolean;
    protected throwLockViolation(cause: Error): void;
}
